Search documentation of ash

# View Source Ash.DataLayer.Mnesia (ash v3.4.30)

An Mnesia backed Ash Datalayer.

In your application initialization, you will need to call `Mnesia.create_schema([node()])`.

Additionally, you will want to create your mnesia tables there.

This data layer is unoptimized, fetching all records from a table and filtering them in memory. For that reason, it is not recommended to use it with large amounts of data. It can be great for prototyping or light usage, though.

# Summary

## Functions

mnesia(body)
start(domain, resources \\ [])

Creates the table for each mnesia resource in a domain

# Functions

Link to this macro

# mnesia(body)

View Source (macro)
Link to this function

# start(domain, resources \\ [])

View Source

Creates the table for each mnesia resource in a domain